--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "Decursive"

local function AssignDecursive(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	local Decursive = NS.AceAddons:GetAddon("Decursive", true)
	Decursive.db:SetProfile("FauxMazzle")
end

local function ConfigureDecursive(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	local FauxMazzle = NS:LoadSettingsDecursive()
	local Settings = FauxMazzle.profiles.FauxMazzle
	local UIScale = UIParent:GetEffectiveScale()
	local x, y = NS:GetFrame("HotSpots", 6):GetCenter(), NS:GetFrame("HotSpots", 6):GetTop()
	x = x*UIScale
	y = (y*UIScale) + 80
	Settings.MainBarX = x
	Settings.DebuffsFrameContainer_x = x
	Settings.DebuffsFrameContainer_y = y
	NS.Lib:CopyTable(FauxMazzle.global, DecursiveDB.global)
	DecursiveDB.profiles.FauxMazzle = {}
	NS.Lib:CopyTable(FauxMazzle.profiles.FauxMazzle, DecursiveDB.profiles.FauxMazzle)
	DecursiveDB.profiles["HideSolo"] = {}
	NS.Lib:CopyTable(FauxMazzle.profiles.HideSolo, DecursiveDB.profiles.HideSolo)
	DecursiveDB.profiles["HideParty"] = {}
	NS.Lib:CopyTable(FauxMazzle.profiles.HideParty, DecursiveDB.profiles.HideParty)
end
NS:AddConfig(1, AddonName, AddonName, ConfigureDecursive, AssignDecursive)

